.chat-container{
    max-height: 50vh;
    display: flex;
    flex-direction: column;
}

.chat-container *{
    margin: 0;
    padding: 0;
}

.chat-header{
    padding: 5px;
    background: #eee;
    display: flex;
    flex-direction: row-reverse;
    justify-content: right;
    align-items: center;
}

.settings-sign{
    height: 1.5em;
    width: 1.6em;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    transition: cubic-bezier(0.27, 0.78, 0.73, 1.24) 0.15s;
}
.chat-header:hover .settings-sign{
    transform: rotate(90deg);
}

.settings-sign > span{
    border-radius: 50%;
    display: inline-block;
    width: 0.4em;
    height: 0.4em;
    background: #000;
}

.menu-list{
    list-style-type: none;
    display: flex;
    flex-direction: row;
    justify-content: right;
    padding-right: 10px;
}


.menu-list > li {
    display: inline-block;
    transform: scale(0);
    transition: cubic-bezier(0.27, 0.78, 0.73, 1.24) 0.15s;
}

.chat-header:hover  li {
    display: inline-block;
    transform: scale(1);
}

.chat-header li a{
    display: inline-block;
    padding: 0.5em;
}

.chat-container form{
    border-radius: 0 0 1em 1em;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 0 0.5em;
    box-sizing: border-box;
}

.chat-container form div{
    width: calc(100% - 7em);
    display: inline-block;
}

.chat-container form div textarea{
    width: 100%;
    height: 4em;
    resize: vertical;
}

input[type="submit"]{
    width: 5em;
    height: 2em;
}

.messages-container{
    padding: 5px;
    border: 0px;
    /*border-radius: 1em 1em 0 0;*/
    background: #eee;
    overflow-y: scroll;
    display: flex;
    flex-direction: column-reverse;
}


.message-container{
    display: flex;
    flex-direction: column;
    margin: 2px;
    padding: 0.5em;
    border-radius: 1em;
    /*width: 80%;*/
}

.message-container > p{
    display: inline-block;
    /*padding: 0 1em;*/
}

.mine{
    background: #BBE1FA;
    align-items: flex-start;
    align-self: flex-start;
}

.others{
    background: #D0D8DD;
    align-items: flex-end;
    align-self: flex-end;
}

.username {
    color: #333333;
    font-size: 0.8em;
}